<form class="form-group" (ngSubmit)="submitForm()">


	<fieldset>
		<legend>Who are you ?</legend>
		<label for="prenom">Firstname: </label> 
		<input type="text" id="prenom" name="prenom" class="form-control" [(ngModel)]="user.prenom" />
		<div style="color:red; display:none"></div>
		<label for="nom">Lastname:</label>
		<input type="text" name="nom" class="form-control" [(ngModel)]="user.nom" />
		<div style="color:red; display:none"></div>
	</fieldset>

	<fieldset>
		<legend>How can we contact you ?</legend>
		<label for="email">Email :</label>
		<input type="text" name="email" placeholder="dummy@example.com" class="form-control" [(ngModel)]="user.email" />
		<div style="color:red; display:none"></div>
		<label for="adress">Addresses:</label>
		<div id="addresses-container">

			
			<div class="form-inline mb-2" *ngFor="let a of user.adresses; let i = index;">
				<input type="text" style="display:none;" name="id">
				<input type="text" style="width:54%; margin-right:1%;" placeholder="123 chemin des oiseaux" class="form-control" name="rue-{{i}}" [(ngModel)]="user.adresses[i].rue" />
				<input type="text" style="width:30%; margin-right:1%;" placeholder="Marseille" class="form-control" name="ville-{{i}}" [(ngModel)]="user.adresses[i].ville" />
				<input type="text" style="width:10%;" placeholder="13001" class="form-control" name="codepostal-{{i}}" [(ngModel)]="user.adresses[i].codePostal" />
				<i class="fas fa-trash-alt m-2" style="visibility:visible"></i>
			</div>
		
			<div class="fas fa-plus btn btn-block btn-secondary p-2"></div>
<!-- 
		<div class="form-inline">
			<input type="text" style="display:none;" data-name="id">
			<input type="text" style="width:54%; margin-right:1%;" placeholder="123 chemin des oiseaux" class="form-control" data-name="rue"/>
			<input type="text" style="width:30%; margin-right:1%;" placeholder="Marseille" class="form-control" data-name="ville"/>
			<input type="text" style="width:10%;" placeholder="13001" class="form-control" data-name="codepostal"/>
			<i class="fas fa-trash-alt p-2" style="visibility:hidden"></i>
		</div> -->

	</div>
</fieldset>

<fieldset>
	<legend>How can we identify you ?</legend>

	<label for="username">Username:</label>
	<input type="text" name="username" class="form-control" [(ngModel)]="user.username" />
	<div style="color:red; display:none"></div>

	<label for="password">Password:</label> 
	<input type="password" name="password" class="form-control" [(ngModel)]="user.password" />
	<div style="color:red; display:none"></div>

	<label>Confirmation:</label>
	<input type="password" name="passwordConfirmation" class="form-control" />
	<div style="color:red; display:none"></div>

</fieldset>

<div class="text-center">
	<input type="reset" class="btn btn-secondary" />
	<input type="submit" id="submit" class="btn btn-success" />
</div>
</form>